using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.StoragesContracts
{
    public interface ICurrencyStorage
    {
        List<CurrencyViewModel> GetFullList();
        List<CurrencyViewModel> GetFilteredList(CurrencySearchModel model);
        CurrencyViewModel? GetElement(CurrencySearchModel model);
        CurrencyViewModel? Insert(CurrencyBindingModel model);
        CurrencyViewModel? Update(CurrencyBindingModel model);
        CurrencyViewModel? Delete(CurrencyBindingModel model);
    }
}
